Bug 175276 - Review Request: gift: daemon for communicating with filesharing protocols
Summary: Review Request: gift: daemon for communicating with filesharing protocols
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Aurelien Bompard
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
: 174879 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 175278 175279 175282
TreeView+ depends on / blocked
 
Reported: 2005-12-08 14:45 UTC by Rex Dieter
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 14:58:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rex Dieter 2005-12-08 14:45:46 UTC
Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/gift-0.11.8.1-1.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gift-0.11.8.1-1.src.rpm

Description: 
giFT is a modular daemon capable of abstracting the communication between
the end user and specific filesharing protocols (peer-to-peer or otherwise).


See also previous livna review and comments:
http://bugzilla.livna.org/show_bug.cgi?id=230

Comment 1 Rex Dieter 2005-12-08 14:47:01 UTC
*** Bug 174879 has been marked as a duplicate of this bug. ***

Comment 2 Aurelien Bompard 2005-12-13 13:46:03 UTC
* When building in mock, at the end of configure :
use libmagic............: no
-> missing BR: file

* Summary should be capitalized

Works fine otherwise.

Peer to peer software is not listed in ForbiddenItems, so I guess giFT is OK for
inclusion in Fedora, right ?

Comment 3 Rex Dieter 2005-12-13 16:06:45 UTC
* Tue Dec 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-2
- Summary: Capitalize
- BR: file (libmagic)

Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/gift-0.11.8.1-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gift-0.11.8.1-2.src.rpm

Comment 4 Aurelien Bompard 2005-12-14 14:53:12 UTC
It looks like you also have to add "--enable-libmagic" for libmagic to be picked up.

Comment 5 Rex Dieter 2005-12-15 18:22:09 UTC
%changelog
* Wed Dec 14 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.11.8.1-3
- --enable-libmagic

Spec Name or
Url:http://apt.kde-redhat.org/apt/kde-redhat/SPECS/gift-0.11.8.1-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/gift-0.11.8.1-3.src.rpm

Comment 6 Aurelien Bompard 2005-12-20 13:57:09 UTC
Review for release 3:
* RPM name is OK
* Source gift-0.11.8.1.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint looks OK
* File lists look OK
* Works
APPROVED


Note You need to log in before you can comment on or make changes to this bug.